# $Revision: 1.11 $, $Date: 2005/10/05 21:00:25 $
%include	/usr/lib/rpm/macros.php
%define		_class		Net
%define		_subclass	GameServerQuery
%define		_status		alpha
%define		_pearname	%{_class}_%{_subclass}

Summary:	%{_pearname} - interface to query a game server
Summary(pl):	%{_pearname} - interfejs do odpytywanie serwera gier
Name:		php-pear-%{_pearname}
Version:	0.2.0
Release:	5
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	c1b70ac52031046605522e3df64bb13c
Patch0:		%{name}-path_fix.patch
URL:		http://pear.php.net/package/Net_GameServerQuery/
BuildRequires:	rpm-php-pearprov >= 4.0.2-98
Requires:	php-common >= 3:5.0.0
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net_GameServerQuery is an object for querying game servers.
Currently only supports basic "status" information.
Built in support for over 20 games.

In PEAR status of this package is: %{_status}.

%description -l pl
Net_GameServerQuery to obiekt do odpytywania serwerw gier. Aktualnie
obsuguje tylko podstawowe informacje o stanie. Ma wbudowan obsug
ponad 20 gier.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup
cd ./%{php_pear_dir}/%{_class}
%patch0 -p2

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/%{_class}/%{_subclass}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Net_GameServerQuery.spec,v $
Revision 1.11  2005/10/05 21:00:25  glen
- rel 5

Revision 1.10  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.9  2005/09/28 22:21:43  glen
- new pear packaging (fixed %files); rel 4

Revision 1.8  2004/12/05 13:05:30  adamg
- add path_fix.patch (fix some inclusion issues)
- release 3

Revision 1.7  2004/12/04 13:21:58  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.6  2004/11/24 11:19:48  adamg
- updated to 0.2.0

Revision 1.5  2004/10/31 22:10:47  paladine
- spaces->tabs
- formatting

Revision 1.4  2004/05/30 13:13:51  adamg
- fixed english information about status of the package

Revision 1.3  2004/04/10 20:26:09  qboosh
- pl desc

Revision 1.2  2004/04/10 14:13:24  adamg
- shortened en summary, added pl summary
- fixed URL

Revision 1.1  2004/04/10 13:59:42  adamg
- initial import
